CMCIC plugin en version 3DS 2.2

  • Posts: 54
  • Thank you received: 2
  • Hikaserial Subscription Hikashop Business
1 month 1 week ago #360956

-- HikaShop version -- : 5.0.4
-- Joomla version -- : 3.10.12
-- PHP version -- : 7.4
-- Error-message(debug-mod must be tuned on) -- : un message d'avertissement de l'interface de gestion monetico /!\

Bonjour,

J'utilise le plug-in de paiement cmcic avec monetico et celui-ci m'indique que la version utilisée à partir du 15 mai 2024, n'intègre pas le protocole de sécurité 3DSecure 2.2, une mise à jour qui renforcera la sécurité des transactions et celles des clients.

Cette non-conformité est due à une implémentation incorrecte ou manquante des champs « contexte_commande » et du nouveau calcul du sceau MAC.

Pour éviter un risque de pertes de transactions et donc de chiffre d'affaires, une action rapide est nécessaire.

Il est important de souligner que la conformité au protocole 3DS v2.2 n'est pas une simple recommandation, mais bien une nécessité.

D'avance merci pour l'évolution de ce plug-in vers la version requise du 3DSecure.

Bien cordialement,

Jean-Michel

Please Log in or Create an account to join the conversation.

  • Posts: 81852
  • Thank you received: 13140
  • MODERATOR
1 month 1 week ago #360958

Bonjour,

Le plugin CMCIC n'implémente pas le contexte_commande et le nouveau calcul du sceau MAC, et nous n'avons pas prévu de changer cela.
Pour implémenter les différents changements nécessaire pour le support de 3DSecure, nous avons développé il y a quelques années un plugin de paiement "Monetico" qui est inclus par défaut dans HikaShop. Nous avions communiqué la dessus à l'époque.
Confirmez-vous que vous utilisez le plugin CMCIC et pas le plugin Monetico ?
Si c'est le cas, il vous suffit de configurer une nouvelle méthode de paiement avec le plugin Monetico et de faire la bascule à votre discrétion.
Notez que les changements se base sur cette documentation www.monetico-paiement.fr/fr/info/documen...ration_3DSv2_1.0.pdf pour 3DSecure v2.
Il n'est pas fait mention de 3DS 2.2 ou de 3DS 2.1
Je n'ai trouvé aucune mention de 2.2 en lien avec 3DS et Monetico en cherchant sur Google.
Le seul lien que j'ai trouvé, c'est cette page:
www.hosteco.fr/Extension-Monetico-CM-CIC...ur-opencart-204.html
qui mentionne le support d'OpenCart v2.2 pour le plugin de paiement Monetico qui supporte 3DSv2.
Serait-ce de la que viendrait la confusion ?

Please Log in or Create an account to join the conversation.

  • Posts: 54
  • Thank you received: 2
  • Hikaserial Subscription Hikashop Business
1 month 4 days ago #360986

Bonjour Nicolas,

Le plug-in cmcic propose "nativement" le choix monetico parmi les 3 autres choix possibles et c'est bien dans l'interface de gestion monetico que l'on détecte que ce plug-in utilise une version antérieure : « votre système actuel n'est à ce jour toujours pas conforme au protocole précédent à savoir la version 3DS 2.1, un prérequis essentiel pour passer à la version 2.2. Cette non-conformité est due à une implémentation incorrecte ou manquante des champs « contexte_commande » et du nouveau calcul du sceau MAC.»

cette page d'accueil monetico me renvoie deux liens :

  1. si vous utilisez la page de paiement, consultez notre Guide et la Documentation technique : Documentation page de paiement déportée et iFrame (sections "9.3 Calcul du sceau MAC" et "9.5 Détail du document JSON contexte_commande") : www.monetico-paiement.fr/fr/info/documen...n_technique_v2.0.pdf
  2. Si vous fonctionnez en mode demande de paiement par API, référez-vous à notre Documentation API Documentation API (sections "3.3 Calcul du sceau HMAC" et "3.5 Appels au service de demande de paiement par API" : www.monetico-paiement.fr/fr/info/documen..._payment_service.pdf )

Voilà ce que je peux vous dire, ci ce n'est que j'ai 2 sites qui tournent avec ce plug-in de paiement CB et monetico...

Cordialement,

Jean-Michel

Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 81852
  • Thank you received: 13140
  • MODERATOR
1 month 4 days ago #360989

Bonjour,

Comme je vous ai dit, le plugin CMCIC est l'ancien plugin pour Monetico.
C'est normal que Monetico vous dit qu'il ne supporte pas 3DS v2.
Passez sur le plugin Monetico qui est aussi inclut dans HikaShop et le problème sera réglé.

Please Log in or Create an account to join the conversation.

  • Posts: 54
  • Thank you received: 2
  • Hikaserial Subscription Hikashop Business
1 month 4 days ago #361000

Merci Nicolas,

J'ai bien compris et j'ai fait des tests sur l'un des sites en production avec monetico et comme évoqué précédemment, je parle bien d'une version de 3DS 2.1 vers la version 2.2. mais il m'a bien semblé voir une version 3DS en 2.1 aussi sur ce plug-in.

Bref je verrais bien à la date butoir mercredi si jamais les CB passent... sinon il faudra bien trouver une solution pour faire évoluer ces plug-ins exploitant le portail monetico.

D'avance merci pour votre aide.

Cdlt,

Please Log in or Create an account to join the conversation.

  • Posts: 81852
  • Thank you received: 13140
  • MODERATOR
1 month 4 days ago #361004

Bonsoir,

Comme je vous avais dit dans mon précédent message, je n'ai trouvé nul part de documentation technique pour Monetico faisant référence à 2.2 ou 2.1.
La documentation, dont je vous ai mis le lien, parle justement du rajout de contexte_commande et du calcul du nouveau sceau (comme mentionnés dans le message de votre page d'accueil Monetico), et ne mentionne que 3DS v2. Et c'est justement sur cette documentation que nous nous sommes basés pour le développement du plugin Monetico.
Donc pour moi, vous avez déjà la solution. Et si ce n'est pas le cas, alors je ne comprends pas que Monetico n'ai pas communiqué la dessus avant et nous fournisse aucune documentation sur de nouveaux changements.
Pourquoi ne pas contacter leur support technique pour les marchands à ce sujet ? Ils connaissent mieux la situation de leur API que nous et pourront vous confirmer la situation, ou vous fournir la documentation technique de 3DS v2.2 qu'ils gardent bien cachés de leur coté...

Please Log in or Create an account to join the conversation.

  • Posts: 54
  • Thank you received: 2
  • Hikaserial Subscription Hikashop Business
1 month 3 days ago #361019

Bonjour,

Le passage au plug-in monetico semble effectivement régler le problème de version.

Merci pour votre aide.

Cdlt,

Jean-Michel

Attachments:
The following user(s) said Thank You: nicolas

Please Log in or Create an account to join the conversation.

Time to create page: 0.074 seconds
Powered by Kunena Forum